﻿using Infragistics.Windows.DockManager;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace XDMTabGroupPane
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void TabGroupPane_SelectionChanged(object sender, SelectionChangedEventArgs e)
        {
            for (int i = 0; i < e.AddedItems.Count; i++)
            {
                ContentPane cp = e.AddedItems[i] as ContentPane;

                DataModel item = (this.DataContext as ViewModel).Data.FirstOrDefault(x => x.TabName == cp.Header.ToString());
                item.Selected = true;
            }

            for (int i = 0; i < e.RemovedItems.Count; i++)
            {
                ContentPane cp = e.RemovedItems[i] as ContentPane;
                DataModel item = (this.DataContext as ViewModel).Data.FirstOrDefault(x => x.TabName == cp.Header.ToString());
                item.Selected = false;
            }
        }
    }
}
